using System;

namespace ConsoleApp4
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] unos = Console.ReadLine().Split(' ');
            int N = int.Parse(unos[0]);
            int K = int.Parse(unos[1]);

            unos = Console.ReadLine().Split(' ');

            int[] niz = new int[N];
            for (int i = 0; i < N; i++)
            {
                niz[i] = int.Parse(unos[i]);
            }

            for (int i = 0; i < N; i++)
            {
                if (niz[i] == K && i != N - 1)
                {
                    Console.WriteLine(niz[i + 1]);
                    break;
                }
                if (niz[i] == K && i == N - 1)
                {
                    Console.WriteLine(niz[0]);
                    break;
                }
            }
            
        }
    }
}